> For the complete documentation index, see [llms.txt](https://docs.sealights.io/knowledgebase/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/configuration-standards/cli-standardization-examples-before-vs-after.md).

# CLI Standardization Examples (Before vs After)

### Java

{% tabs %}
{% tab title="After (Standardized)" %}

```bash
java -jar sl-build-scanner.jar config \
  --token <token> \
  --appName my-app \
  --branchName release/1.0 \
  --buildName build-123 \
  --includePackages com.myapp.* \
  --excludePackages com.myapp.test.*

java -jar sl-build-scanner.jar scan \
  --token <token> \
  --buildSessionIdFile buildSessionId.txt \
  --scanDir ./target

```

{% endtab %}

{% tab title="Before (Legacy)" %}

```bash
java -jar sl-build-scanner.jar -config \
  -token <token> \
  -appname my-app \
  -branchname release/1.0 \
  -buildname build-123 \
  -packagesincluded com.myapp.* \
  -packagesexcluded com.myapp.test.*

java -jar sl-build-scanner.jar -scan \
  -token <token> \
  -buildsessionidfile buildSessionId.txt \
  -workspacepath ./target
```

{% endtab %}
{% endtabs %}

#### .NET

{% tabs %}
{% tab title="After (Standardized)" %}

```bash
dotnet ./<agent-path>/SL.DotNet.dll scan \
  --token <token> \
  --buildSessionIdFile buildSessionId.txt \
  --scanDir ./bin
```

{% endtab %}

{% tab title="Before (Legacy)" %}

```bash
dotnet ./<agent-path>/SL.DotNet.dll scan \
  --token <token> \
  --buildSessionIdFile buildSessionId.txt \
  --workspacePath ./bin
```

{% endtab %}
{% endtabs %}

#### Node.js

{% tabs %}
{% tab title="After (Standardized)" %}

```bash
npx slnodejs config \
  --token <token> \
  --appName my-app \
  --branchName release/1.0 \
  --buildName build-123 \
  --failBuild true
  
npx slnodejs scan \
  --token <token> \ 
  --buildSessionId <id> \
  --scanDir <workspacepath> \
  --scmType {git|none} \
  --instrumentForBrowsers \
  --labId <labid> \
  --excludeSourceMapFiles {none|skipCopy|skipAndDelete} \
  --es6Modules
```

{% endtab %}

{% tab title="Before (Legacy)" %}

```bash
npx slnodejs config \
  --token <token> \
  --appname my-app \
  --branch release/1.0 \
  --build build-123 \
  --failbuild true
  
npx slnodejs scan \
  --token <token> \ 
  --buildsessionid <id> \
  --workspacepath <workspacepath> \
  --scm {git|none} \
  --instrumentForBrowsers \
  [--labid <labid>] \
  [--excludeSourceMapFiles {none|skipCopy|skipAndDelete}] \
  --es6Modules
```

{% endtab %}
{% endtabs %}

#### Python

{% tabs %}
{% tab title="After (Standardized)" %}

```bash
sl-python config \
  --token <token> \
  --appName <app-name> \
  --branchName <branch> \
  --buildName <build> \
  --scanDir <path> \
  --includeFiles <include> \
  --excludeFiles <exclude>
```

{% endtab %}

{% tab title="Before (Legacy)" %}

```bash
sl-python config \
  --token <token> \
  --appname my-app \
  --branchname release/1.0 \
  --buildname build-123 \
  --workspacepath <path> \
  --include <include> \
  --exclude <exclude>
```

{% endtab %}
{% endtabs %}

#### Go

{% tabs %}
{% tab title="After (Standardized)" %}

```bash
slgoagent config \
  --token <token> \
  --appName my-app \
  --branchName release/1.0 \
  --buildName build-123 \
  --labId <labid>
```

{% endtab %}

{% tab title="Before (Legacy)" %}

```bash
slgoagent config \
  --token <token> \
  --app-name <app-name> \
  --branch <branch> \
  --build <build> \
  --lab-id <labid>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/configuration-standards/cli-standardization-examples-before-vs-after.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
